/* Login */
.u-column2.col-2 {
  border-top: 1px solid black;
  padding-top: 2.5em;
  margin-top: 3.5em;
}
/* End */

nav.woocommerce-MyAccount-navigation {
  position: relative;
  margin-bottom: 4em;
  z-index: initial !important;
}

nav.woocommerce-MyAccount-navigation ul {
  list-style: none;
  padding: 0;
  margin: 0;
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: .1px;
  background-color: black;
  width: 100%;
  justify-content: space-between;
  border: 1px solid black;
  border-radius: 30px;
  overflow: hidden;
}

nav.woocommerce-MyAccount-navigation ul li {
  display: flex;
  align-items: center;
  background-color: white;
  width: 19.9%;
  text-align: center;
  transition: .3s all ease-in-out;
}

nav.woocommerce-MyAccount-navigation ul li.is-active a, nav.woocommerce-MyAccount-navigation ul li:hover{
  font-weight: bold;
  background-color: #01a19f;
  overflow: hidden;
  color: white !important;
}

nav.woocommerce-MyAccount-navigation ul li a:hover{color: rgb(224, 224, 224);}

nav.woocommerce-MyAccount-navigation ul li a {
  width: 100%;
  padding: 10px;
  display: block;
}

li.woocommerce-MyAccount-navigation-link.woocommerce-MyAccount-navigation-link--downloads {display: none !important;}
li.woocommerce-MyAccount-navigation-link.woocommerce-MyAccount-navigation-link--customer-logout{background-color: #e8fbfb;}

/* Pedidos */
table {
  border: 1px solid black;
  width: 100%;
  border-collapse: collapse;
  margin: 0;
  padding: 0;
  table-layout: fixed;
}

th {text-align: left;}

table caption {
  font-size: 1.5em;
  margin: .5em 0 .75em;
}

table tr {
  background-color: #f8f8f8;
  border: 1px solid #ddd;
  padding: .35em;
}

table th, table td {
  padding: .625em;
  text-align: center;
}

table th {
  font-weight: 900;
  font-size: .85em;
  letter-spacing: .1em;
  text-transform: uppercase;
}

/* Dirección y editar */
header.woocommerce-Address-title.title a.edit {
  text-decoration: underline;
  font-style: italic;
  margin-bottom: 1.2rem;
  display: block;
}

.form-row {
  display: flex;
  flex-direction: column;
  gap: 6px;
}

.woocommerce-input-wrapper input, .woocommerce-input-wrapper .select2-selection, .input-text  {
  width: 100% !important;
  height: 45px !important;
  font-size: 16px !important;
  border-radius: 5px !important;
  border: 1px solid black !important;
  padding: 5px 15px !important;
  font-family: 'Outfit', sans-serif !important;
}

button.button {
  display: flex;
  justify-content: center;
  align-items: center;
  border: 1.5px solid black;
  padding: 10px 40px;
  width: fit-content;
  border-radius: 10px;
  font-weight: 500;
  margin: 1.2em 0 0;
  cursor: pointer;
  font-size: 18px;
  background-color: white;
  transition: .3s all ease-in-out;
  font-family: 'Outfit', sans-serif;
}

button.button:hover {
  background-color: black;
  color: white;
}

.woocommerce-error li {color: tomato !important;}

/* Responsive Mode */
@media (max-width: 1000px) {
  nav.woocommerce-MyAccount-navigation ul li a {
    padding: 10px 2px;
    font-size: 14px;
  }
}

@media (max-width: 810px) {
  nav.woocommerce-MyAccount-navigation ul li a {font-size: 12px;}
}

@media (max-width: 750px) {
  main {padding: 2em !important;}

  nav.woocommerce-MyAccount-navigation ul li {
    width: 100%;
    border-right: 1px solid black;
  }
}

@media (max-width: 700px) {
  nav.woocommerce-MyAccount-navigation ul li {height: 47px;}
    nav.woocommerce-MyAccount-navigation ul li a {padding: 5px 2px;}

  nav.woocommerce-MyAccount-navigation ul li.is-active a, nav.woocommerce-MyAccount-navigation ul li:hover {
    height: 47px;
    display: flex;
    align-items: center;
    justify-content: center;
  }
}

@media (max-width: 600px) {
  table {border: 0;}
  table caption {font-size: 1.3em;}
  
  table thead {
    border: none;
    clip: rect(0 0 0 0);
    height: 1px;
    margin: -1px;
    overflow: hidden;
    padding: 0;
    position: absolute;
    width: 1px;
  }
  
  table tr {
    border-bottom: 3px solid #ddd;
    display: block;
    margin-bottom: .625em;
  }
  
  table td {
    border-bottom: 1px solid #ddd;
    display: block;
    font-size: .8em;
    text-align: right;
  }
  
  table td::before {
    content: attr(data-label);
    float: left;
    font-weight: bold;
    text-transform: uppercase;
  }
  
  table td:last-child {border-bottom: 0;}

  button.button {
    padding: 10px 25px;
    font-size: 15px;
  }
}